@noir : #000000;
@blanc : #ffffff;
@gris : #eeeeee;
@jaune : #f8e71c;
@bleu : #0051ff;

@font-face {
  font-family : 'Cera Pro Light';
  src         : url('../fonts/Cera-Pro-Light.ttf') format('truetype');
  font-weight : normal;
  font-style  : normal;
}

@font-face {
  font-family : 'Cera Pro Medium';
  src         : url('../fonts/Cera-Pro-Medium.ttf') format('truetype');
  font-weight : normal;
  font-style  : normal;
}

@font-face {
  font-family : 'Cera Pro Bold';
  src         : url('../fonts/Cera-Pro-Bold.ttf') format('truetype');
  font-weight : normal;
  font-style  : normal;
}

.transition(@transition : all 0.3s ease 0s) {
  -webkit-transition : @transition;
  -moz-transition    : @transition;
  -ms-transition     : @transition;
  -o-transition      : @transition;
  transition         : @transition;
}

html, body {
  float       : left;
  width       : 100%;
  font-family : 'Cera Pro Light', Arial, sans-serif;
  background  : @gris !important;
  * {
    margin                 : 0;
    padding                : 0;
    line-height            : inherit;
    -webkit-font-smoothing : antialiased;
    -webkit-box-sizing     : border-box;
    -moz-box-sizing        : border-box;
    box-sizing             : border-box;
  }
  :before, :after {
    -webkit-box-sizing : border-box;
    -moz-box-sizing    : border-box;
    box-sizing         : border-box;
  }
}

.mauticform_wrapper {
  max-width   : 600px;
  margin      : 10px auto;
  font-family : Helvetica, Arial, sans-serif;
  color       : #676767;
  .mauticform-name {
    font-weight   : bold;
    font-size     : 1.5em;
    margin-bottom : 3px;
  }

  .mauticform-description {
    margin-top    : 2px;
    margin-bottom : 10px;
  }

  .mauticform-error {
    margin-bottom : 10px;
    color         : red;
  }

  .mauticform-message {
    margin-bottom : 10px;
    color         : green;
  }

  .mauticform-row {
    display       : block;
    margin-bottom : 20px;
  }

  .mauticform-label {
    font-size     : 1.1em;
    display       : block;
    font-weight   : bold;
    margin-bottom : 5px;
  }

  .mauticform-row.mauticform-required .mauticform-label:after {
    color   : #ee3322;
    content : " *";
    display : inline;
  }

  .mauticform-helpmessage {
    display       : block;
    font-size     : 0.9em;
    margin-bottom : 3px;
  }

  .mauticform-errormsg {
    display    : block;
    color      : red;
    margin-top : 2px;
  }

  .mauticform-selectbox, .mauticform-input, .mauticform-textarea {
    width         : 100%;
    padding       : 0.5em 0.5em;
    border        : 1px solid #cccccc;
    background    : #ffffff;
    box-shadow    : 0px 0px 0px #ffffff inset;
    border-radius : 4px;
    box-sizing    : border-box;
  }

  .mauticform-button-wrapper .mauticform-button.btn-default {
    color            : #5d6c7c;
    background-color : #ffffff;
    border-color     : #dddddd;
  }

  .mauticform-button-wrapper .mauticform-button {
    display             : inline-block;
    margin-bottom       : 0;
    font-weight         : 600;
    text-align          : center;
    vertical-align      : middle;
    cursor              : pointer;
    background-image    : none;
    border              : 1px solid transparent;
    white-space         : nowrap;
    padding             : 6px 12px;
    font-size           : 13px;
    line-height         : 1.3856;
    border-radius       : 3px;
    -webkit-user-select : none;
    -moz-user-select    : none;
    -ms-user-select     : none;
    user-select         : none;
  }

  .mauticform-button-wrapper .mauticform-button.btn-default[disabled] {
    background-color : #ffffff;
    border-color     : #dddddd;
  }
}

.lp-digital-change {
  float       : left;
  width       : 100%;
  background  : @gris;
  padding-top : 100px;
  .container {
    display   : block;
    margin    : 0 auto;
    width     : 100%;
    max-width : 1200px;
    padding   : 0 15px
  }
  .header {
    position    : fixed;
    height      : 100px;
    line-height : 92px;
    background  : @noir;
    left        : 0;
    top         : 0;
    right       : 0;
    z-index     : 2;
    img {
      display        : inline-block;
      vertical-align : middle;
      height         : 40px;
    }
  }
  .bloc-form {
    position : fixed;
    left     : 0;
    top      : 0;
    right    : 0;
    height   : 0;
    z-index  : 3;
    .container {
      position : relative;
    }
    .form {
      float      : right;
      width      : 360px;
      background : @jaune;
      overflow   : hidden;
      > div {
        float   : left;
        width   : 100%;
        height  : 100%;
        padding : 20px;
        &.big {
          width      : calc(~'100% + 15px');
          overflow-y : scroll;
        }
      }
      .titre {
        float         : left;
        width         : 100%;
        text-align    : center;
        font-size     : 34px;
        line-height   : 34px;
        font-family   : 'Cera Pro Bold', Arial, sans-serif;
        color         : @noir;
        margin-bottom : 10px;
        img {
          display           : block;
          margin            : 0 auto 15px auto;
          width             : 50px;
          -webkit-transform : rotate(-12deg);
          -moz-transform    : rotate(-12deg);
          -ms-transform     : rotate(-12deg);
          -o-transform      : rotate(-12deg);
          transform         : rotate(-12deg);
        }
      }
      .message-confirmation {
        float      : left;
        width      : 100%;
        margin     : 30px 0;
        text-align : center;
        span {
          font-family : 'Cera Pro Bold', Arial, sans-serif;
          font-size   : 20px;
          line-height : 24px;
        }
      }
      .mauticform_wrapper {
        float     : left;
        width     : 100%;
        max-width : 100%;
        margin    : 0;
        .mauticform-error, .mauticform-message {
          margin : 0;
        }
        .mauticform-innerform {
          margin-top : 5px;
        }
        .mauticform-row {
          float         : left;
          width         : 100%;
          margin-bottom : 20px;
          &:last-of-type {
            margin : 0;
          }
          label {
            float       : left;
            font-family : 'Cera Pro Medium', Arial, sans-serif;
            font-size   : 14px;
            line-height : 15px;
            color       : @noir;
            font-weight : normal;
            &:after {
              color : @noir;
            }
          }
          input[type='text'], input[type='email'], select {
            -webkit-appearance    : none;
            -moz-appearance       : none;
            appearance            : none;
            float                 : left;
            width                 : 100%;
            height                : 50px;
            padding               : 0 15px;
            background            : @blanc;
            font-family           : 'Cera Pro Bold', Arial, sans-serif;
            font-size             : 17px;
            -webkit-border-radius : 3px;
            -moz-border-radius    : 3px;
            border-radius         : 3px;
            -webkit-box-shadow    : 0 2px 4px 0 rgba(0, 0, 0, 0.24) !important;
            -moz-box-shadow       : 0 2px 4px 0 rgba(0, 0, 0, 0.24) !important;
            box-shadow            : 0 2px 4px 0 rgba(0, 0, 0, 0.24) !important;
            border                : 2px solid @blanc;
            .transition();
            &:focus {
              outline : none;
            }
            &:hover, &:focus {
              border-color : @noir;
            }
          }
          input:-webkit-autofill,
          input:-webkit-autofill:hover,
          input:-webkit-autofill:focus,
          input:-webkit-autofill:active,
          select:-webkit-autofill,
          select:-webkit-autofill:hover,
          select:-webkit-autofill:focus,
          select:-webkit-autofill:active {
            -webkit-box-shadow : 0 0 0 1000px #ffffff inset;
            transition         : background-color 5000s ease-in-out 0s;
          }
          select {
            padding-right : 50px;
            background    : @blanc url("../images/dropdown.svg") no-repeat center right 20px;
          }
          button {
            -webkit-appearance    : none;
            -moz-appearance       : none;
            appearance            : none;
            float                 : left;
            width                 : 100%;
            height                : 55px;
            -webkit-border-radius : 2px;
            -moz-border-radius    : 2px;
            border-radius         : 2px;
            background            : @noir;
            text-align            : center;
            padding               : 0;
            border                : none;
            color                 : @blanc;
            font-family           : 'Cera Pro Bold', Arial, sans-serif;
            font-size             : 26px;
            text-transform        : uppercase;
            .transition();
            &:focus {
              outline : none;
            }
            &:hover, &:focus {
              color              : @jaune;
              -webkit-box-shadow : 0 2px 4px 0 rgba(0, 0, 0, 0.24);
              -moz-box-shadow    : 0 2px 4px 0 rgba(0, 0, 0, 0.24);
              box-shadow         : 0 2px 4px 0 rgba(0, 0, 0, 0.24);
            }
          }
        }
        .mauticform-checkboxgrp-row {
          float        : left;
          width        : 100%;
          min-height   : 20px;
          line-height  : 20px;
          padding-left : 30px;
          position     : relative;
          label {
            float          : none;
            display        : inline-block;
            vertical-align : middle;
            font-size      : 14px;
            line-height    : 16px;
            font-weight    : bold;
          }
          input {
            -webkit-appearance : none;
            -moz-appearance    : none;
            appearance         : none;
            position           : absolute;
            left               : 0;
            top                : 0;
            width              : 20px;
            height             : 20px;
            line-height        : 20px;
            background         : @blanc;
            border             : 3px solid @blanc;
            .transition();
            &:focus {
              outline : none;
            }
            &:checked {
              background : @noir;
            }
          }
        }
        .mauticform-errormsg {
          float      : left;
          font-size  : 12px;
          margin-top : 5px;
        }
      }
    }
  }
  .main {
    float    : left;
    width    : 100%;
    position : relative;
    z-index  : 1;
    .contenu-lp {
      float         : left;
      width         : 100%;
      padding-right : 400px;
      margin-bottom : 50px;
      .titre-bloc {
        float       : left;
        width       : 100%;
        font-family : 'Cera Pro Bold', Arial, sans-serif;
        font-size   : 70px;
        line-height : 70px;
        color       : @noir;
        .jaune {
          color : @jaune;
        }
        .bleu {
          color : @bleu;
        }
        &.blanc {
          color : @blanc;
        }
      }
      > div {
        float      : left;
        width      : 100%;
        background : @blanc;
      }
      video {
        float : left;
        width : 100%;
      }
      .infos, .clients {
        float   : left;
        width   : 100%;
        padding : 30px 60px;
      }
      .infos {
        position : relative;
        z-index  : 2;
        .texte {
          float          : left;
          width          : 100%;
          margin         : 30px 0 40px 0;
          padding-left   : 100px;
          padding-bottom : 40px;
          font-size      : 16px;
          line-height    : 22px;
          text-align     : justify;
          position       : relative;
          span {
            font-family : 'Cera Pro Bold', Arial, sans-serif;
          }
          &:after {
            content    : '';
            position   : absolute;
            left       : 0;
            bottom     : 0;
            height     : 6px;
            width      : 50%;
            background : @jaune;
          }
        }
        .gif {
          float         : left;
          width         : 45%;
          margin-top    : 30px;
          margin-bottom : -60px;
          position      : relative;
          &:before {
            content    : '';
            position   : absolute;
            left       : 15px;
            top        : 15px;
            width      : 100%;
            height     : 100%;
            z-index    : 1;
            background : @bleu;
          }
          img {
            float    : left;
            width    : 100%;
            position : relative;
            z-index  : 2;
          }
        }
        .expertises {
          float         : left;
          width         : 55%;
          padding-left  : 50px;
          margin-top    : 30px;
          margin-bottom : -60px;
          min-height    : 300px;
          .texte {
            margin     : 15px 0;
            padding    : 0;
            text-align : left;
            &:after {
              display : none;
            }
          }
        }
      }
      .clients {
        background : @noir;
        .titre-bloc {
          margin-top : 60px;
        }
        img {
          float      : left;
          max-width  : 100%;
          margin-top : 40px;
        }
      }
      .btn-mail {
        float           : left;
        width           : 100%;
        background      : @jaune;
        padding         : 40px;
        color           : @noir;
        text-decoration : none;
        text-align      : center;
        span {
          display        : inline-block;
          text-transform : uppercase;
          font-family    : 'Cera Pro Bold', Arial, sans-serif;
          font-size      : 22px;
          line-height    : 22px;
          position       : relative;
          &:after {
            content    : '';
            position   : absolute;
            left       : 0;
            bottom     : -5px;
            width      : 0;
            height     : 3px;
            background : @noir;
            .transition();
          }
        }
        &:hover {
          span:after {
            width : 100%;
          }
        }
      }
    }
  }
  .footer {
    float          : left;
    width          : 100%;
    background     : @noir;
    padding-top    : 25px;
    padding-bottom : 50px;
    position       : relative;
    z-index        : 3;
    .adresses {
      float : left;
      width : calc(~'100% - 220px');
      color : @blanc;
      > div {
        float     : left;
        width     : 50%;
        max-width : 320px;
      }
      .ville {
        float         : left;
        width         : 100%;
        font-family   : 'Cera Pro Bold', Arial, sans-serif;
        font-size     : 18px;
        line-height   : 18px;
        margin-bottom : 15px;
      }
      .adresse {
        float         : left;
        width         : 100%;
        font-size     : 14px;
        line-height   : 16px;
        font-family   : Arial, sans-serif;
        margin-bottom : 3px;
      }
      .tel {
        float           : left;
        font-family     : 'Cera Pro Bold', Arial, sans-serif;
        font-size       : 18px;
        line-height     : 18px;
        color           : @jaune;
        text-decoration : none;
        position        : relative;
        padding-bottom  : 5px;
        &:after {
          content    : '';
          position   : absolute;
          left       : 0;
          bottom     : 0;
          width      : 0;
          height     : 2px;
          background : @jaune;
          .transition();
        }
        &:hover {
          &:after {
            width : 100%;
          }
        }
      }
    }
    .social {
      float      : right;
      text-align : right;
      a {
        display        : inline-block;
        vertical-align : middle;
        height         : 20px;
        opacity        : 1;
        .transition();
        + a {
          margin-left : 20px;
        }
        img {
          display : block;
          height  : 100%;
        }
        &:hover {
          opacity : 0.8;
        }
      }
    }
  }
}

@media (max-width : 1200px) {
  .lp-digital-change {
    .bloc-form {
      .form {
        width : 300px;
      }
    }
    .main {
      .contenu-lp {
        padding-right : 315px;
      }
    }
  }
}

@media (max-width : 992px) {
  .lp-digital-change {
    .bloc-form {
      .container {
        padding : 0;
      }
      .form {
        width : 280px;
        .titre {
          font-size   : 30px;
          line-height : 30px;
          img {
            width : 40px;
          }
        }
        .mauticform_wrapper .mauticform-row {
          input[type='text'], input[type='email'], select {
            height    : 45px;
            padding   : 0 12px;
            font-size : 16px;
          }
          button {
            height    : 50px;
            font-size : 22px;
          }
        }
      }
    }

    .main {
      .container {
        padding : 0;
      }
      .contenu-lp {
        padding-right : 280px;
        .titre-bloc {
          font-size   : 50px;
          line-height : 50px;
        }
        .infos, .clients {
          padding : 25px;
        }
        .infos {
          .texte {
            margin         : 20px 0 30px 0;
            padding-left   : 50px;
            font-size      : 15px;
            line-height    : 20px;
            padding-bottom : 30px;
          }
          .gif {
            width : 50%;
          }
          .expertises {
            width        : 50%;
            padding-left : 30px;
            .texte {
              margin : 10px 0;
            }
          }
        }
        .btn-mail {
          padding : 30px;
          span {
            font-size   : 20px;
            line-height : 20px;
          }
        }
      }
    }
  }
}

@media (max-width : 768px) {
  .lp-digital-change {
    padding-top : 70px;
    .header {
      height      : 70px;
      line-height : 62px;
      text-align  : center;
      img {
        height : 35px;
      }
    }
    .bloc-form {
      position : relative;
      float    : left;
      width    : 100%;
      height   : auto;
      z-index  : 1;
      .form {
        width    : 100%;
        overflow : auto;
        height   : auto !important;
        > div {
          overflow-y : auto !important;
          width      : 100% !important;
          padding    : 15px;
        }
        .titre {
          font-size   : 22px;
          line-height : 24px;
          img {
            width : 35px;
          }
        }
        .message-confirmation {
          span {
            font-size   : 16px;
            line-height : 20px;
          }
        }
        .mauticform_wrapper .mauticform-row {
          margin-bottom : 15px;
          @media (min-width : 601px) {
            width : 48%;
            &:nth-of-type(2n) {
              float : right;
            }

            &:nth-of-type(2n + 1) {
              clear : both;
            }

            &:last-of-type {
              width : 100%;
            }
          }
          input[type='text'], input[type='email'], select {
            height    : 40px;
            padding   : 0 10px;
            font-size : 15px;
          }
          button {
            height    : 45px;
            font-size : 20px;
          }
        }
      }
    }
    .main {
      .container {
        padding : 0;
      }
      .contenu-lp {
        padding-right : 0;
        margin-bottom : 0;
        .titre-bloc {
          font-size   : 35px;
          line-height : 35px;
        }
        .infos, .clients {
          padding : 20px;
        }
        .infos {
          .texte {
            margin         : 15px 0 15px 0;
            padding-left   : 50px;
            font-size      : 14px;
            line-height    : 18px;
            padding-bottom : 20px;
            &:after {
              height : 4px;
            }
          }
          .gif {
            width         : 40%;
            margin-bottom : 0;
            &:before {
              left : 10px;
              top  : 10px;
            }
          }
          .expertises {
            width         : 60%;
            margin-bottom : 0;
            min-height    : 0;
          }
          @media (max-width : 600px) {
            .gif {
              width     : 100%;
              max-width : 350px;
            }

            .expertises {
              width        : 100%;
              padding-left : 10px;
              margin-top   : 20px;
            }
          }
        }
        .clients {
          .titre-bloc {
            margin-top : 0;
          }
          img {
            margin-top : 15px;
          }
        }
        .btn-mail {
          padding : 20px;
          span {
            font-size : 18px;
          }
        }
      }
    }
    .footer {
      padding    : 20px 0;
      text-align : center;
      .adresses {
        width : 100%;
        > div {
          width         : 100%;
          max-width     : inherit;
          margin-bottom : 15px;
          span, a {
            float   : none !important;
            display : block;
          }
          a {
            display : inline-block;
          }
        }
        .ville {
          font-size     : 16px;
          line-height   : 16px;
          margin-bottom : 10px;
        }
        .adresse {
          font-size : 13px;
        }
        .tel {
          padding     : 0;
          font-size   : 17px;
          line-height : 16px;
          &:after {
            display : none;
          }
        }
      }
      .social {
        width      : 100%;
        text-align : center;
        a {
          margin : 0 10px !important;
          height : 16px;
        }
      }
    }
  }
}